org.apache.solr.cloud

## Class CloudInspectUtil

- java.lang.Object
- - org.apache.solr.cloud.CloudInspectUtil

-     public class CloudInspectUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudInspectUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIfDiffIsLegal(org.apache.solr.common.SolrDocumentList a, org.apache.solr.common.SolrDocumentList b, String aName, String bName, Set<String> bAddFails, Set<String> bDeleteFails)` When a and b are known to be different, this method tells if the difference is legal given the adds and deletes that failed from b.
    `static boolean` | `compareResults(org.apache.solr.client.solrj.SolrClient controlClient, org.apache.solr.client.solrj.SolrClient cloudClient)` Compares the results of the control and cloud clients.
    `static boolean` | `compareResults(org.apache.solr.client.solrj.SolrClient controlClient, org.apache.solr.client.solrj.SolrClient cloudClient, Set<String> addFails, Set<String> deleteFails)` Compares the results of the control and cloud clients.
    `static Set<Map>` | `showDiff(org.apache.solr.common.SolrDocumentList a, org.apache.solr.common.SolrDocumentList b, String aName, String bName)` Shows the difference between two lists of documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudInspectUtil

          public CloudInspectUtil()

  - ### Method Detail

    - #### checkIfDiffIsLegal

          public static boolean checkIfDiffIsLegal(org.apache.solr.common.SolrDocumentList a,
                                                   org.apache.solr.common.SolrDocumentList b,
                                                   String aName,
                                                   String bName,
                                                   Set<String> bAddFails,
                                                   Set<String> bDeleteFails)

      When a and b are known to be different, this method tells if the difference is legal given the adds and deletes that failed from b.
      Parameters:
        `a` - first list of docs
        `b` - second list of docs
        `aName` - label for first list of docs
        `bName` - label for second list of docs
        `bAddFails` - null or list of the ids of adds that failed for b
        `bDeleteFails` - null or list of the ids of deletes that failed for b
      Returns:
        true if the difference in a and b is legal

    - #### showDiff

          public static Set<Map> showDiff(org.apache.solr.common.SolrDocumentList a,
                                          org.apache.solr.common.SolrDocumentList b,
                                          String aName,
                                          String bName)

      Shows the difference between two lists of documents.
      Parameters:
        `a` - the first list
        `b` - the second list
        `aName` - label for the first list
        `bName` - label for the second list
      Returns:
        the documents only in list a

    - #### compareResults

          public static boolean compareResults(org.apache.solr.client.solrj.SolrClient controlClient,
                                               org.apache.solr.client.solrj.SolrClient cloudClient)
                                        throws org.apache.solr.client.solrj.SolrServerException,
                                               IOException

      Compares the results of the control and cloud clients.
      Returns:
        true if the compared results are illegal.
      Throws:
        `org.apache.solr.client.solrj.SolrServerException`
        `IOException`

    - #### compareResults

          public static boolean compareResults(org.apache.solr.client.solrj.SolrClient controlClient,
                                               org.apache.solr.client.solrj.SolrClient cloudClient,
                                               Set<String> addFails,
                                               Set<String> deleteFails)
                                        throws org.apache.solr.client.solrj.SolrServerException,
                                               IOException

      Compares the results of the control and cloud clients.
      Returns:
        true if the compared results are illegal.
      Throws:
        `org.apache.solr.client.solrj.SolrServerException`
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.